Bug 67361 - rcp gives incorrect error report when file system writes fai
rcp gives incorrect error report when file system writes fai
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rsh (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2002-06-23 11:32 EDT by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:03:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-23 11:32:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
rcp in 7.x, derived from netkit-rsh-0.17, doesn't preserve errno when it 
encounters a filesystem write error (e.g. filesystem out of space).  When it 
ultimately prints out an error message (in the switch(wrerr) statement), errno 
is unpredictable.  The easiest way to reproduce the problem is to rcp a 
sizeable file onto a system's /boot filesystem.  Instead of "No space left on 
device", I've seen it say "Success" and "No such file or directory".

Fix is to add a wrerrno variable, and every time you have wrerr = YES, add a 
statement wrerrno = YES.  This fix is in more recent versions of the freebsd 
rcp source.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rcp bigfile remote:/smallfilesystem/destfile
2. look at completion message
3.
	

Additional info:
Comment 1 Karel Zak 2004-11-17 12:46:49 EST
Fixed in devel branch rsh-0.17-25 [FC-4].
Comment 3 Tim Powers 2005-05-18 09:03:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-074.html

Note You need to log in before you can comment on or make changes to this bug.